% Slow roll RPM
slo_rpm = 200;

% Cutoff spacing
cf_factor = 1;

% Input signal construction
t_f = 20;
offset = -7;
vl = .1;
pk = 6;

% Calculations
f_slo = (slo_rpm*2*pi)/60;
tau = 1/(f_slo*cf_factor);
t = linspace(0, t_f, 1000);
mod_f = (4*pi)/t_f;
%u = offset + (vl + (pk-vl)*sin(mod_f*t)).*sin(f_slo*t);
u = -7+7*sin(f_slo*t);
hp = tf([tau 0], [tau 1]);
plot(t, u)
lsim(hp, u, t)